.\"     $NetBSD: mcclock.4,v 1.5 2002/04/15 07:33:27 simonb Exp $
.\"
.\" Copyright (c) 2001 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" This code is derived from software contributed to The NetBSD Foundation
.\" by Gregory McGarry.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd September 18, 2001
.Dt MCCLOCK 4
.Os
.Sh NAME
.Nm mcclock
.Nd DS1287 real-time clock
.Sh SYNOPSIS
.Ss algor
.Cd "mcclock* at isa? port 0x70"
.Ss alpha
.Cd "mcclock* at gbus? offset ?"
.Cd "mcclock* at ioasic? offset ?"
.Cd "mcclock* at isa? port 0x70"
.Cd "mcclock* at jensenio? port ?"
.Ss arc
.Cd "mcclock* at jazzio?"
.Ss evbmips
.Cd "mcclock* at isa? port 0x70"
.Ss pmax
.Cd "mcclock* at ibus0 addr ?"
.Cd "mcclock* at ioasic? offset ?"
.Ss sgimips
.Cd "mcclock* at mace0 offset 0x3a0000"
.Sh DESCRIPTION
The
.Nm
driver provides support for the DS1287 real-time clock (RTC).  Note
that the kernel expects the RTC to run in UTC.
.Sh SEE ALSO
.Xr intro 4 ,
.Xr ioasic 4 ,
.Xr isa 4
